namespace UpdateVersion
{
	/// <summary>
	/// Specifies the algorithm to use when calculating a new revision number.
	/// </summary>
	internal enum RevisionNumberType
	{
		/// <summary>
		/// Calculates the revision number based on the number of seconds since midnight divided by 10.
		/// </summary>
		Automatic,

		/// <summary>
		/// Increments the existing revision number by one.
		/// </summary>
		Increment,

		/// <summary>
		/// Makes no changes to the Revision Number
		/// </summary>
		Fixed,

		/// <summary>
		/// Indicates a custom date/time format.
		/// </summary>
		DateTimeFormat
	}
}